Subject: Re: [RFC PATCH 10/10] gitweb: Show appropriate "Generating..." page when regenerating cache (WIP)

From: Jakub Narebski <[email-masked]>
Date: Mon, 25 Jan 2010 12:46:39 +0100

On Sun, 24 Jan 2010, Petr Baudis wrote:
>   I have stupid question, common to both the original patch and this
> RFC.
> 
> > [RFC PATCH 10/10] gitweb: Show appropriate "Generating..." page when
> > regenerating cache (WIP)
> 
>   Just why is a "Generating..." page appropriate?
> 
>   I have to admit I hate it; can you please at least make it
> configurable? Why is it needed at all? It [...] confuses
> non-interactive HTTP clients [...]

First, if I understand the code correctly HTTP clients which do not 
honor metaredirect (http-equiv refresh) would get page which looks
the following

  <html>
  Generating...
  </html>
  <html>
  Gitweb page
  </html>

Second, gitweb can always check User-Agent header, and serve 
"Generating..." page only to web browsers:

  unless (defined $cgi->user_agent() &&
          $cgi->user_agent() =~ /\b(Mozilla|Opera)\b/i) {
  	return;
  }

or something like that.

-- 
Jakub Narebski
Poland